Package org.eclipse.graphiti.util

## Interface IPredefinedRenderingStyle

All Known Implementing Classes:
  `PredefinedColoredAreas`

    public interface IPredefinedRenderingStyle

This interface defines the IDs of the predefined rendering styles for gradients, and constants for style adaptations of gradients. Each (predefined) ID for a rendering style of an gradient corresponds to an `AdaptedGradientColoredAreas` defined in `PredefinedColoredAreas` . Clients should extend this interface with an ID for each definition of an own `AdaptedGradientColoredAreas`. Clients can define their own gradient adaptations by extending `PredefinedColoredAreas`. A gradient can be set by `IGaService.setRenderingStyle(AbstractStyle, AdaptedGradientColoredAreas)` .

### Field Summary

Fields
`static java.lang.String` `BLUE_WHITE_GLOSS_ID` The ID for a blue-to-white gradient with a gloss-effect.
`static java.lang.String` `BLUE_WHITE_ID` The ID for a blue-to-white gradient.
`static java.lang.String` `COPPER_WHITE_GLOSS_ID` The ID for a copper-to-white gradient with a gloss-effect.
`static java.lang.String` `LIGHT_GRAY_ID` The ID for a light gray color.
`static java.lang.String` `LIGHT_YELLOW_ID` The ID for a light yellow color.
`static java.lang.String` `SILVER_WHITE_GLOSS_ID` The ID for a silver-to-white gradient with a gloss-effect.
`static int` `STYLE_ADAPTATION_ACTION_ALLOWED` The style-adaptation to use to indicate that an action is allowed.
`static int` `STYLE_ADAPTATION_ACTION_FORBIDDEN` The style-adaptation to use to indicate that an action is forbidden.
`static int` `STYLE_ADAPTATION_DEFAULT` The style-adaptation to use for default, element is not selected.
`static int` `STYLE_ADAPTATION_PRIMARY_SELECTED` The style-adaptation to use for primary selected elements.
`static int` `STYLE_ADAPTATION_SECONDARY_SELECTED` The style-adaptation to use for secondary selected elements.

### Field Detail

#### BLUE_WHITE_GLOSS_ID

    static final java.lang.String BLUE_WHITE_GLOSS_ID

The ID for a blue-to-white gradient with a gloss-effect.

See Also:
  Constant Field Values

#### BLUE_WHITE_ID

    static final java.lang.String BLUE_WHITE_ID

The ID for a blue-to-white gradient.

See Also:
  Constant Field Values

#### LIGHT_YELLOW_ID

    static final java.lang.String LIGHT_YELLOW_ID

The ID for a light yellow color.

See Also:
  Constant Field Values

#### LIGHT_GRAY_ID

    static final java.lang.String LIGHT_GRAY_ID

The ID for a light gray color.

See Also:
  Constant Field Values

#### COPPER_WHITE_GLOSS_ID

    static final java.lang.String COPPER_WHITE_GLOSS_ID

The ID for a copper-to-white gradient with a gloss-effect.

See Also:
  Constant Field Values

#### SILVER_WHITE_GLOSS_ID

    static final java.lang.String SILVER_WHITE_GLOSS_ID

The ID for a silver-to-white gradient with a gloss-effect.

See Also:
  Constant Field Values

#### STYLE_ADAPTATION_DEFAULT

    static final int STYLE_ADAPTATION_DEFAULT

The style-adaptation to use for default, element is not selected.

See Also:
  Constant Field Values

#### STYLE_ADAPTATION_PRIMARY_SELECTED

    static final int STYLE_ADAPTATION_PRIMARY_SELECTED

The style-adaptation to use for primary selected elements.

See Also:
  Constant Field Values

#### STYLE_ADAPTATION_SECONDARY_SELECTED

    static final int STYLE_ADAPTATION_SECONDARY_SELECTED

The style-adaptation to use for secondary selected elements.

See Also:
  Constant Field Values

#### STYLE_ADAPTATION_ACTION_ALLOWED

    static final int STYLE_ADAPTATION_ACTION_ALLOWED

The style-adaptation to use to indicate that an action is allowed.

See Also:
  Constant Field Values

#### STYLE_ADAPTATION_ACTION_FORBIDDEN

    static final int STYLE_ADAPTATION_ACTION_FORBIDDEN

The style-adaptation to use to indicate that an action is forbidden.

See Also:
  Constant Field Values